ply.h File Reference
Module io
`#include <pcl/io/boost.h>`
`#include <pcl/io/ply/byte_order.h>`

Go to the source code of this file.

## Detailed Description

contains standard typedefs and generic type traits

Author
  Ares Lagae as part of libply, Nizar Sallem Ported with agreement from the author under the terms of the BSD license.

Definition in file ply.h.

## Classes

struct | pcl::io::ply::type_traits< ScalarType >

## Namespaces

| pcl
| pcl::io
| pcl::io::ply

## Macros

#define | PLY_TYPE_TRAITS(TYPE, PARSE_TYPE, NAME, OLD_NAME)

## Typedefs

typedef boost::int8_t | pcl::io::ply::int8
typedef boost::int16_t | pcl::io::ply::int16
typedef boost::int32_t | pcl::io::ply::int32
typedef boost::uint8_t | pcl::io::ply::uint8
typedef boost::uint16_t | pcl::io::ply::uint16
typedef boost::uint32_t | pcl::io::ply::uint32
typedef float | pcl::io::ply::float32
typedef double | pcl::io::ply::float64
typedef int | pcl::io::ply::format_type

## Enumerations

enum | pcl::io::ply::format { pcl::io::ply::ascii_format, pcl::io::ply::binary_little_endian_format, pcl::io::ply::binary_big_endian_format, pcl::io::ply::unknown }

## Functions

| pcl::io::ply::PLY_TYPE_TRAITS (int8, int16, "int8", "char")
| pcl::io::ply::PLY_TYPE_TRAITS (int16, int16, "int16", "short")
| pcl::io::ply::PLY_TYPE_TRAITS (int32, int32, "int32", "int")
| pcl::io::ply::PLY_TYPE_TRAITS (uint8, uint16, "uint8", "uchar")
| pcl::io::ply::PLY_TYPE_TRAITS (uint16, uint16, "uint16", "ushort")
| pcl::io::ply::PLY_TYPE_TRAITS (uint32, uint32, "uint32", "uint")
| pcl::io::ply::PLY_TYPE_TRAITS (float32, float32, "float32", "float")
| pcl::io::ply::PLY_TYPE_TRAITS (float64, float64, "float64", "double")

## Macro Definition Documentation

## PLY_TYPE_TRAITS

#define PLY_TYPE_TRAITS | ( |  | TYPE,
|  |  | PARSE_TYPE,
|  |  | NAME,
|  |  | OLD_NAME
| ) |  |

Value:
template <> \
struct type_traits<TYPE> \
{ \
typedef TYPE type; \
typedef PARSE_TYPE parse_type; \
static const char* name () { return NAME; } \
static const char* old_name () { return OLD_NAME; } \
};

Definition at line 76 of file ply.h.